<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('chemical_ords', function (Blueprint $table) {
            $table->decimal('weight',12,8)->change();
        });
        Schema::table('factory_chemicals', function (Blueprint $table) {
            $table->decimal('ori_weight',12,8)->change();
            $table->decimal('now_weight',12,8)->change();
        });
        Schema::table('chemical_operations', function (Blueprint $table) {
            $table->decimal('weight',12,8)->change();
        });
        Schema::table('chemical_ord_logs', function (Blueprint $table) {
            $table->decimal('weight',12,8)->change();
        });
        Schema::table('chemical_sub_logs', function (Blueprint $table) {
            $table->decimal('ori_weight',12,8)->change();
            $table->decimal('new_weight',12,8)->change();
        });
        Schema::table('chemical_disposal_logs', function (Blueprint $table) {
            $table->decimal('weight',12,8)->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
    }
};
